Exploit/Advisories no image

Published on May 1st, 2024 📆 | 2420 Views ⚑

0

Red Hat Security Advisory 2024-2528-03 – Torchsec


iSpeech.org

The following advisory data is extracted from:

https://access.redhat.com/security/data/csaf/v2/advisories/2024/rhsa-2024_2528.json

Red Hat officially shut down their mailing list notifications October 10, 2023. Due to this, Packet Storm has recreated the below data as a reference point to raise awareness. It must be noted that due to an inability to easily track revision updates without crawling Red Hat's archive, these advisories are single notifications and we strongly suggest that you visit the Red Hat provided links to ensure you have the latest information available if the subject matter listed pertains to your environment.

- Packet Storm Staff

====================================================================
Red Hat Security Advisory

Synopsis: Low: mingw-glib2 security update
Advisory ID: RHSA-2024:2528-03
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2024:2528
Issue date: 2024-04-30
Revision: 03
CVE Names: CVE-2023-29499
====================================================================

Summary:

An update for mingw-glib2 is now available for Red Hat Enterprise Linux 9.

Red Hat Product Security has rated this update as having a security impact of Low. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Description:

GLib provides the core application building blocks for libraries and applications written in C. It provides the core object system used in GNOME, the main loop implementation, and a large set of utility functions for strings and common data structures.

Security Fix(es):

* glib: GVariant offset table entry size is not checked in is_normal() (CVE-2023-29499)





* glib: g_variant_byteswap() can take a long time with some non-normal inputs (CVE-2023-32611)

* glib: Timeout in fuzz_variant_text (CVE-2023-32636)

* glib: GVariant deserialisation does not match spec for non-normal data (CVE-2023-32665)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat Enterprise Linux 9.4 Release Notes linked from the References section.

Solution:

https://access.redhat.com/articles/11258

CVEs:

CVE-2023-29499

References:

https://access.redhat.com/security/updates/classification/#low
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/9/html/9.4_release_notes/index
https://bugzilla.redhat.com/show_bug.cgi?id=2211827
https://bugzilla.redhat.com/show_bug.cgi?id=2211828
https://bugzilla.redhat.com/show_bug.cgi?id=2211829
https://bugzilla.redhat.com/show_bug.cgi?id=2211833

Source link

Tagged with:



Leave a Reply

Your email address will not be published.